<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=busqueda_docente.xls");

/*****************************************/
$o_ObjectBean = new ColaboradorBean();
  

//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

//Obtener Filtro X Rol
$o_colaborador_Temp = new TipoColaboradorRolBean();
$o_colaborador_Temp->setIdRol(myUser::getUser()->getRoleId());

$o_ColaboradorBL_Temp = new TipoColaboradorRolBL();
$a_o_Colaborador = $o_ColaboradorBL_Temp->busquedaTipoColaboradorRol($o_colaborador_Temp);

if($a_o_Colaborador[0]->getFiltroColaborador()){
	$a_RolId = explode(",",$a_o_Colaborador[0]->getFiltroColaborador());
}

//----------------------------------------

//Obtener Filtro X Sucursal

 if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	
  	$o_ObjectBean->setIdPadre($o_ColaboradorBeanResult[0]->getIdPadre());
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres
 	//SIN FILTRO
 }else{//Solo los Hijos del Colaborador
  	$o_ObjectBean->setIdPadre(myUser::getUser()->getIdColaborador());
 }

//


if(is_array($a_RolId))	{ $o_ObjectBean->setFiltroColaborador($a_RolId); }
if($idColobarador  !=""){ $o_ObjectBean->setIdColaborador($idColobarador); }
if($Nombres      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($Nombres); }
if($Dni            !=""){ $o_ObjectBean->setDni($Dni); }
if($cboIdRol       !=""){ $o_ObjectBean->setIdRol($cboIdRol); }

$o_class = new ColaboradorBL();
$a_ObjectBean = $o_class->busquedaColaborador($o_ObjectBean);

/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table>
        <tr>
          <td>
            <table border="1">
              <tr>
                <th>Nro</th>
                <th>Empleado</th>
                <th>Dni</th>
                <th>Telefono</th>               
                <th>Celular</th>               
                <th>F.Ingreso</th>               
                <th>F.Nacimientoo</th>               
                <th>Estado </th>
                
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
                <td><?=($i+1)?></td>
               
                <td><?=strtoupper($o_objBean->getNombreCompleto()) ?></td>
                 <td><?=$o_objBean->getDni() ?></td>
                <td><?=$o_objBean->getTelefono()?></td>
                <td><?=$o_objBean->getCelular()?></td>
                <td><?=$o_objBean->getFechaIngreso()?></td>
                <td><?=$o_objBean->getFechaNacimiento()?></td>
                <td><?=$o_objBean->getEstado()?></td>
              </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>